Package com.sas.lsaf.core

## Enum EntityState

- java.lang.Object
- - java.lang.Enum<EntityState>
  - - com.sas.lsaf.core.EntityState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EntityState>`

      public enum EntityState
      extends java.lang.Enum<EntityState>

  The allowed values of entity states.
  Since:
    2.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEVELOPMENT` | The entity is in a development state.
    `PRODUCTION` | The entity is in a production state.
    `RETIRED` | The entity is in a retired state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EntityState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EntityState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEVELOPMENT

          public static final EntityState DEVELOPMENT

      The entity is in a development state. This is the initial state when it is created. It is intended to indicate that the entity is being edited with the intention of being placed into production.

    - #### PRODUCTION

          public static final EntityState PRODUCTION

      The entity is in a production state. In this state, the entity can be associated to another item like a study. It cannot be edited in this state.

    - #### RETIRED

          public static final EntityState RETIRED

      The entity is in a retired state. The retired state is intended to indicate that it is no longer in use, and can no longer be associated to another item like a study.

  - ### Method Detail

    - #### values

          public static EntityState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityState c : EntityState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntityState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null